#ifndef _map_file_h
#define _map_file_h

/*
 * $Id: map_file.h,v 1.1 1995/08/08 14:17:03 mleisher Exp $
 */

/*
 * This file requires that <stddef.h> be included before it
 * is included.
 */

/*
 * return the size of a file in bytes
 */
extern size_t file_size(
#ifdef __STDC__
                        char *filename
#endif
);

/*
 * given a file name return a pointer to memory which contains a
 * read-only copy of the contents of the file.  this is done with
 * virtual memory tricks, not by reading the file
 */
extern char *map_file(
#ifdef __STDC__
                      char *filename,
                      size_t len,
                      size_t off
#endif
);

/*
 * Unmaps data previously mapped in by map_file().
 * Returns 0 if it succeeds or -1 if not.
 */
extern int unmap_file(
#ifdef __STDC__
                      char *data,
                      size_t len
#endif
);

#endif /* _map_file_h */
